| dsirxss Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XDsi2RxSs Struct Reference
Overview

The XDsi2RxSs driver instance data. More...

## Data Fields
XDsi2RxSs_Config | Config
| Hardware configuration. More...
u32 | IsReady
| Device and the driver instance are initialized. More...
XDsi2Rx * | Dsi2RxPtr
| handle to sub-core driver instance More...
XDsi2Rx_ConfigParameters | ConfigInfo
| Configuration information contains GUI parameters, Timing parameters. More...
XDsi2RxSs_Callback | ErrorCallback
     Callback function for
rest all errors More...
void * | ErrRef
     To be passed to the
Error Call back More...

## Detailed Description

The XDsi2RxSs driver instance data.

The user is required to allocate a variable of this type for every XDsi2RxSs device in the system. A pointer to a variable of this type is then passed to the driver API functions.

## Field Documentation

XDsi2RxSs_Config XDsi2RxSs::Config

Hardware configuration.

Referenced by XDsi2RxSs_CfgInitialize(), XDsi2RxSs_ReportCoreInfo(), and XDsi2RxSs_Reset().

XDsi2Rx_ConfigParameters XDsi2RxSs::ConfigInfo

Configuration information contains GUI parameters, Timing parameters.

Referenced by XDsi2RxSs_GetConfigParams().

XDsi2Rx* XDsi2RxSs::Dsi2RxPtr

handle to sub-core driver instance

Referenced by XDsi2RxSs_Activate(), XDsi2RxSs_CfgInitialize(), XDsi2RxSs_DefaultConfigure(), XDsi2RxSs_GetConfigParams(), XDsi2RxSs_GetPixelFormat(), XDsi2RxSs_InterruptEnable(), XDsi2RxSs_IntrHandler(), XDsi2RxSs_IsControllerReady(), XDsi2RxSs_ReportCoreInfo(), XDsi2RxSs_Reset(), XDsi2RxSs_SelfTest(), XDsi2RxSs_SetCallback(), and XDsi2RxSs_SetGlobalInterrupt().

XDsi2RxSs_Callback XDsi2RxSs::ErrorCallback

     Callback function for

rest all errors

void* XDsi2RxSs::ErrRef

     To be passed to the

Error Call back

u32 XDsi2RxSs::IsReady

Device and the driver instance are initialized.

Referenced by XDsi2RxSs_CfgInitialize(), and XDsi2RxSs_SetCallback().